<?php
/*
 * @author	Robert "Tatzelwurm" Hempel
 * @copyright	2007-2009 INSIDE das Hörspiel
 * @license	Creative Commons Attribution-Share Alike 3.0 http://creativecommons.org/licenses/by-sa/3.0/de/
 * @package	de.inside.gwsp.activitiy
 * @subpackage	system.event.listener
 * @category	CompetitionActivitiy
 * 
 */

require_once(WCF_DIR.'lib/system/event/EventListener.class.php');

class CompetitionActivitiyACPListener implements EventListener {
	
	private $activitiy = 0;
	
	/**
	 * @see EventListener::execute()
	 */
	public function execute($eventObj, $className, $eventName) 
	{
		switch ($eventName)
		{
			case 'readFormParameters':
				if (isset($_POST['activitiy'])) $this->activitiy = intval($_POST['activitiy']);
				else $this->activitiy = 0;
			break;
			
			case 'save':
				$eventObj->additionalFields['activitiy'] = $this->activitiy;
			break;
			
			case 'readData':
				if ($className == 'CompetitionEditForm') 
				{
					if (!count($_POST)) 
					{
						$this->activitiy = $eventObj->competition->value('activitiy');
					}
				}
			break;

			case 'assignVariables':
				
				WCF::getTPL()->assign(array(
					'activitiy' => $this->activitiy,
				));
				
				WCF::getTPL()->append('additionalGWSPFields', WCF::getTPL()->fetch('competitionActivitiyACP'));
			break;
		} 
	}
}
?>